# Interface IfcDiagnosticNode

A diagnostic node for an IFC file.

interface IfcDiagnosticNode {
data: IfcDiagnosticNodeData;
entries: IfcDiagnosticEntry[];
incomingConnections: string[];
outgoingConnections: string[];
[property: string]: any;
}

#### Indexable

- [property: string]: any

##### Index

### Properties

data
entries
incomingConnections
outgoingConnections

## Properties

### data

data: IfcDiagnosticNodeData

### entries

entries: IfcDiagnosticEntry[]

### incomingConnections

incomingConnections: string[]

### outgoingConnections

outgoingConnections: string[]